Page MenuHomePhabricator

Write the first browsertests/Selenium test
Closed, ResolvedPublic

Description

The workshop would cover:

  • How to use mediawiki_selenium Ruby gem to write the first browsertests/Selenium test?
  • How to use mediawiki_api Ruby gem to make browsertests/Selenium tests faster?
  • How to run tests in Jenkins?

Event Timeline

zeljkofilipin raised the priority of this task from to Normal.
zeljkofilipin updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 26 2015, 1:51 PM
zeljkofilipin renamed this task from Workshop: write the first Selenium test to Workshop: write the first browsertests/Selenium test.Mar 28 2015, 11:50 AM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin set Security to None.
zeljkofilipin added a subscriber: greg.
Qgil added a subscriber: Qgil.May 7 2015, 1:26 AM

Are you still planning to run this session? If so, we need to know how much time you need, roughly how many participants you expect, and any other requirements/requests that you might have.

I am still planning to run the session. I need at least 1 hour. Depending on how many people apply, their previous knowledge and how interested they are, I might need 2-4 hours. I do not know how to estimate how many people would be interested. No special requirements are needed. If just a few of us appear, we can just work on our laptops. If there are more people, a projector would be great to have.

Qgil added a comment.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

I have added the workshop to the program of every day. Ping me (here, irc, in person...) if/which session you plan to attend, please. Will cancel some of the sessions if there are no interest. If there is a lot of interest, we can make one or more sessions longer.

greg closed this task as Resolved.May 27 2015, 10:34 PM
zeljkofilipin reopened this task as Open.Jul 7 2015, 2:12 PM
zeljkofilipin renamed this task from Workshop: write the first browsertests/Selenium test to Write the first browsertests/Selenium test.Jul 7 2015, 2:30 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.Jul 16 2015, 9:43 PM
zeljkofilipin closed this task as Resolved.Aug 25 2015, 3:38 PM
zeljkofilipin claimed this task.

We had this session at Wikimedia-Hackathon-2015. We did not have the session at #Wikimania-Hackathon-2015. Nothing left to do here.